<?php

class QUnit_Sql_RecordSetMysql {

   var $dataset;

   function QUnit_Sql_RecordSetMysql() {
   }

// public
   function &getDataset() {
      return $this->dataset;
   }

   function setDataset(&$dataset) {
      $this->dataset =& $dataset;
   }

   function FetchRow() {
      return mysql_fetch_assoc($this->getDataset());
   }

   function RecordCount() {
      return mysql_num_rows($this->getDataset());
   }

}
?>